apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: tax2skos
    environment: prod
    system: data-jobtechdev-se
    team: calamari
  name: djs-tax2skos-prod
  namespace: openshift-gitops
spec:
  destination:
    namespace: data-jobtechdev-se-prod
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/prod
    repoURL: https://gitlab.com/arbetsformedlingen/www/data-jobtechdev-se/djs-tax2skos-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
